#include "../../bootpack.h"

using namespace naskfunc;

CEflags::CEflags() {
}

CEflags& CEflags::operator =(dword ef) {
	io_store_eflags(ef);
	return *this;
}

CEflags& CEflags::operator |=(dword val) {
	dword ef = io_load_eflags();
	ef |= val;
	io_store_eflags(ef);
	return *this;
}

CEflags& CEflags::operator &=(dword val) {
	dword ef = io_load_eflags();
	ef &= val;
	io_store_eflags(ef);
	return *this;
}

CEflags::operator dword() const {
	return io_load_eflags();
}

CEflags driver::eflags;
